Bug 212276 - Pirut quits when selecting packages to install
Pirut quits when selecting packages to install
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: pirut (Show other bugs)
6
i386 Linux
medium Severity low
: ---
: ---
Assigned To: Jeremy Katz
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-10-25 19:04 EDT by Christopher Brown
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-30 11:40:52 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Christopher Brown 2006-10-25 19:04:45 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.8.0.7) Gecko/20061011 Fedora/1.5.0.7-7.fc6 Firefox/1.5.0.7

Description of problem:
The following error occurs when I attempted to install a package, admittedly from an external repository - ATRPMS.

Component: Software Manager
Summary: TBa4e373c6 pirut:141:_searchPackageSelected:AttributeError: 'NoneType' object has no attribute 'replace'

Traceback (most recent call last):
  File "/usr/sbin/pirut", line 141, in _searchPackageSelected
    desc = desc.replace("\n\n", "\x00")
AttributeError: 'NoneType' object has no attribute 'replace'

Local variables in innermost frame:
buffer: <gtk.TextBuffer object (GtkTextBuffer) at 0x96e77fc>
plist: <PirutPackageList object (pirut+PackageList+PirutPackageList) at 0x974c054>
self: <__main__.PackageManager object at 0x90dd4ac>
po: mythnews - 0.20-138.fc6.at.i386
desc: None


Version-Release number of selected component (if applicable):
1.2.5-1

How reproducible:
Didn't try


Steps to Reproduce:
1. Run pirut/Software Manager
2. Select various packages from list having searched for "mythtv"
3. Select mythnews checkbox, app crashes

Actual Results:
App crashes with debug option and traceback

Expected Results:
Software selected and installed according to design

Additional info:
Fresh install of Fedora Core 6 on IBM/Lenovo T42 with ATrpms repo being the only additional repository enabled. Previous attempt to install full mythtv package had quit as mplayer is not part of any of these repositories.
Comment 1 Jeremy Katz 2006-10-30 11:40:52 EST
Fixed and will be in a post fc6 update (version will be 1.2.7 or later) -- the
package should really have a description, though.
Comment 2 Fedora Update System 2006-11-06 15:37:35 EST
pirut-1.2.7-1.fc6 has been pushed for fc6, which should resolve this issue.  If these problems are still present in this version, then please make note of it in this bug report.
Comment 3 Fedora Update System 2006-11-10 13:20:23 EST
pirut-1.2.8-1.fc6 has been pushed for fc6, which should resolve this issue.  If these problems are still present in this version, then please make note of it in this bug report.
Comment 4 Fedora Update System 2006-11-16 18:12:25 EST
pirut-1.2.8-1.fc6 has been pushed for fc6, which should resolve this issue.  If these problems are still present in this version, then please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.